Bug 57962 - division by zero error in up2date on very fast machine
division by zero error in up2date on very fast machine
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-03 11:00 EST by Frank Ch. Eigler
Modified: 2015-01-07 18:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-22 08:38:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2002-01-03 11:00:15 EST
Description of Problem:

On a very fast alpha box, running up2date (2.7.11-7.x.1) on a small
job ("--justdb FILE") can cause a division-by-zero abort during a
progress-indicator calculation.  The Python traceback:


Traceback (innermost last):
  File "/usr/sbin/up2date", line 1014, in ?
    main()
  File "/usr/sbin/up2date", line 341, in main
    sys.exit(batchRun(argObj.getLong("list"), pkgNames, fullUpdate))
  File "/usr/sbin/up2date", line 959, in batchRun
    up2date.getPackage(pkg, printPkg, printRetrieveHash)
  File "/usr/share/rhn/up2date_client/up2date.py", line 956, in getPackage
    buffer = doCall(packageSource.getPackage, pkg, msgCallback,
progressCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 287, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 98, in getPackage
    package = source.getPackage(pkg, MsgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 499, in getPackage
    buffer = self._readFD(fd, size, filePath, progressCallback =
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 435, in _readFD
    speed = bytesRead / (curTime - startTime)
ZeroDivisionError: float division
Comment 1 Adrian Likins 2002-01-16 16:31:51 EST
added a epsilon in there to prevent divide by zero
Comment 2 Matt Jamison 2003-05-22 08:38:40 EDT
closing bug.

Note You need to log in before you can comment on or make changes to this bug.